Subject: Re: bug#60719: Acknowledgement (openbios-qemu-ppc fails to build on aarch64)

From: Andrew Patterson <[email-masked]>
Date: Mon, 16 Jan 2023 23:12:23 -0500

>From altogether too much searching around with gcc -M, it looks 
like the problem is that openbios has in its include directory an 
asm/types.h.  Because things added to the header search path by -I 
shadow system headers and are global, this replaces the 
<asm/types.h> that <asm/sigcontext.h> relies on, causing the 
error.  On aarch64, <bits/sigcontext.h> (which I think <signal.h> 
includes?) imports <asm/sigcontext.h>, so the whole thing fails to 
build.  On x86_64, <bits/sigcontext.h> does not import 
<asm/sigcontext.h>, so this whole problem never occurs.

I don't know how to fix this on guix's end, but I guess I now need 
to complain to upstream and hope they can work out a fix.

(I have a newfound hatred of #include.)
-- 
Andrew Patterson